Subject: bug#5233: non-ascii docstrings and byte-compile-dynamic-docstrings: nil

From: Chong Yidong <[email-masked]>
Date: Fri, 01 Jan 2010 17:04:55 -0500

> suppose you have a file consisting of the following two lines:

> ;; -*- byte-compile-dynamic-docstrings: nil -*-
> (defvar testvar nil "This docstring includes non-ascii letters like =8e4.")

> Byte compile it (e.g. from dired with B). It fails with the following
> message:

> comp-test.el:2:73:Error: Search failed: "19\\(\\.[0-9]+\\)"

> I can reproduce this also with Emacs 23.

I'm afraid I can't reproduce this with Emacs 23, using non-ASCII
characters from the HELLO file.  What is this comp-test.el file?  It's
not included in the normal Emacs distribution---is it your own file?